<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

session_start();

$page_title = "LEVEL 2 - Display FB Page Timeline Feed on Website - Live Demo";

date_default_timezone_set('America/Los_Angeles');
?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">
	
	<style>
	.profile-info{
		overflow:hidden;
	}
	
	.profile-photo{
		float:left;
		margin:0 .5em 0 0;
	}
	
	.profile-photo img{
		width:40px; height:40px;
	}
	
	.profile-name{
		float:left;
		width:85%;
	}
	
	.time-ago{
		color:#999;
	}
	
	.profile-message{
		margin:1em 0;
	}
	
	.post-link{
		text-decoration:none;
	}
	
	.post-content{
		background: #f6f7f9; border: 1px solid #d3dae8; overflow:hidden;
	}
	
	.post-content img{
		width:100%;
	}
	
	.post-status{
		margin:.5em; font-weight:bold;
	}
	
	.post-picture{
		width:25%; float:left;
	}
	
	.post-info{
		width:70%; float:left; margin:.5em;
	}
	
	.post-info-name{
		font-weight:bold;
	}
	
	.post-info-description{
		color:#999;
	}
	
	.like-icon {
		background-image: url('images/fb-sprite.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: -146px -514px;
		height: 15px;
		width: 13px;
		display:block;
		float:left;
		margin: 2px 5px 0 0;
	}
	
	.comment-icon {
		background-image: url('images/fb-sprite.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: -160px -514px;
		height: 15px;
		width: 13px;
		display:block;
		float:left;
		margin: 3px 5px 0 0;
		
	}
	</style>
	
</head>
<body>
<!-- pre-load loader images -->
<img src='images/ajax-loader-like-comment.gif' style='display:none;' />
<img src='images/ajax-loader.gif' style='display:none;' />

<div class="container">
	<div class='col-lg-12'>
	
	<?php
	$fb_page_id = !empty($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "107786425949934";
	
	echo "<h1 class='page-header'>{$page_title}</h1>";

	// include_once "notes.php";
	
	// used for getting mentions, etc.
	include "libs/php/util.php";
	$util=new Util();

	// start getting fb feeds
	$profile_photo_src = "https://graph.facebook.com/{$fb_page_id}/picture?type=square";
	$access_token = "128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	$fields = "id,message,picture,link,name,description,type,icon,created_time,from,object_id,story,likes.limit(0).summary(true),comments.limit(0).summary(true)";
	$limit = 10;
	
	$json_link = "https://graph.facebook.com/{$fb_page_id}/feed?access_token={$access_token}&fields={$fields}&limit={$limit}";
	$json = @file_get_contents($json_link);

	if($json===FALSE) {
		die("Unable to get data.");
	}
	
	else{
		$obj = json_decode($json, true);
		$feed_item_count = count($obj['data']);

		$next_page = $obj['paging']['next'];
		$_SESSION['NEXT_PAGE_' . $fb_page_id]=$next_page;
		$_SESSION['SET_NUM_' . $fb_page_id]=1;
		$_SESSION['profile_photo_src_' . $fb_page_id]=$profile_photo_src;
		
		$first_load=true;
		include_once 'items_template.php';
		
		echo "<div id='last_item_loader' style='text-align:center;'></div>";
	}
	?>
	
	</div> <!-- /col-lg-12 -->
</div> <!-- /container -->
 
<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>
 
<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<!-- linkify -->
<script src="libs/js/jquery.linkify.min.js"></script>

<script>
function load_NextSet() {
	
	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');
	
	$.post("items_more.php?fb_page_id=<?php echo $fb_page_id; ?>", function(data){
			
		if (data != "") {
			$(".item_box:last").after(data); 
			$('.profile-message').linkify();
		}
		
		if(data==""){
			$('div#last_item_loader').html("All posts were loaded.");
		}else{
			$('div#last_item_loader').empty();
		}
		
	});
}; 

$(document).ready(function(){

	$('.profile-message').linkify();
	
	$(window).scroll(function(){
		if ($(window).scrollTop() == $(document).height() - $(window).height()){
			load_NextSet();
		}
	});
	
	$(document).on('click', '.like-count-sum', function(){
		// load likers and commenters		
		var pid=$(this).attr('pid');
		var show_elem=$(this).closest('.col-md-8').find('.like-count-data');
		
		if(show_elem.is(":visible")) {
			// hide it
			show_elem.hide();
		}
		
		else{
			// show it
			show_elem.html("<img src='images/ajax-loader-like-comment.gif' />");
			show_elem.show();
			
			$.post('likes_comments.php', { 
				post_id: pid
			}, function(data){
				show_elem.html(data);
				$('p').linkify();
			});
		}
	});
});
</script>

</body>
</html>